Package org.eclipse.remote.serial.core

## Class SerialPortConnection

- java.lang.Object
- - org.eclipse.remote.serial.core.SerialPortConnection

All Implemented Interfaces:
  `IRemoteCommandShellService`, `IRemoteConnection.Service`, `ISerialPortService`

    public class SerialPortConnection
    extends java.lang.Object
    implements ISerialPortService, IRemoteCommandShellService

### Nested Class Summary

Nested Classes
`static class` `SerialPortConnection.Factory`

### Field Summary

### Fields inherited from interface org.eclipse.remote.serial.core.ISerialPortService

`BAUD_RATE_ATTR, BYTE_SIZE_ATTR, CONNECTION_TYPE_ID, PARITY_ATTR, PORT_NAME_ATTR, STOP_BITS_ATTR`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteProcess` `getCommandShell​(int flags)` Get a remote process that runs a command shell on the remote system.
`IRemoteConnection` `getRemoteConnection()`
`org.eclipse.cdt.serial.SerialPort` `getSerialPort()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getRemoteConnection

    public IRemoteConnection getRemoteConnection()

Specified by:
  `getRemoteConnection` in interface `IRemoteConnection.Service`

#### getSerialPort

    public org.eclipse.cdt.serial.SerialPort getSerialPort()

Specified by:
  `getSerialPort` in interface `ISerialPortService`

#### getCommandShell

    public IRemoteProcess getCommandShell​(int flags)
                                   throws java.io.IOException

Description copied from interface: `IRemoteCommandShellService`
Get a remote process that runs a command shell on the remote system. The shell will be the user's default shell on the remote system. The flags may be used to modify behavior of the remote process. These flags may only be supported by specific types of remote service providers. Clients can use `IRemoteProcessBuilder.getSupportedFlags()` to find out the flags supported by the service provider.

     Current flags are:
       IRemoteProcessBuilder.NONE                        - disable any flags
       IRemoteProcessBuilder.ALLOCATE_PTY        - allocate a pseudo-terminal for the process (RFC-4254 Sec. 6.2)
       IRemoteProcessBuilder.FORWARD_X11        - enable X11 forwarding (RFC-4254 Sec. 6.3)

Specified by:
  `getCommandShell` in interface `IRemoteCommandShellService`
Parameters:
  `flags` - bitwise-or of flags
Returns:
  remote process object
Throws:
  `java.io.IOException`